> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Glassdoor Reviews

> This endpoint is used to fetch reviews from glassdoor for a specified business.



## OpenAPI

````yaml POST /glassdoor/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /glassdoor/reviews:
    post:
      description: >-
        This endpoint is used to fetch reviews from glassdoor for a specified
        business.
      requestBody:
        description: glassdoor review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GlassdoorReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlassdoorReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    GlassdoorReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: 'Provide proper glassdoor url.or profile unique_id '
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        sort_type:
          type: string
          description: Order in which reviews should be sorted
          enum:
            - RELEVANCE
            - DATE
            - RATING
            - RATING_ASC
          default: RELEVANCE
        pagination_token:
          type: string
          description: >-
            The next_page received with the past request, which is required for
            the pagination
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    GlassdoorReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              author_position:
                type: string
                description: Position/job title of the review author
              category_rating:
                type: object
                properties:
                  ratingCareerOpportunities:
                    type: integer
                    description: Rating for career opportunities
                  ratingCompensationAndBenefits:
                    type: integer
                    description: Rating for compensation and benefits
                  ratingCultureAndValues:
                    type: integer
                    description: Rating for culture and values
                  ratingDiversityAndInclusion:
                    type: integer
                    description: Rating for diversity and inclusion
                  ratingSeniorLeadership:
                    type: integer
                    description: Rating for senior leadership
                  ratingWorkLifeBalance:
                    type: integer
                    description: Rating for work-life balance
                description: Category-wise ratings for the company
              help_ful_count:
                type:
                  - integer
                  - 'null'
                description: Number of helpful votes for the review
              query:
                type: string
                description: Original query URL
              review_details:
                type: string
                description: Overall sentiment of the review
              review_id:
                type: integer
                description: Unique identifier for the review
              review_rating:
                type: integer
                description: Overall rating given in the review
              review_text:
                type: object
                properties:
                  advice:
                    type:
                      - string
                      - 'null'
                    description: Advice to management
                  cons:
                    type: string
                    description: Disadvantages mentioned in the review
                  pros:
                    type: string
                    description: Advantages mentioned in the review
                description: Detailed review text content
              review_title:
                type: string
                description: Title of the review
              rveiew_date:
                type: string
                description: Date when the review was posted
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the reviews
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````